<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo3: v-if</title>
</head>
<body>
    <div id="app">
        {{ mensaje }}
        <h1 style="color: Green; text-decoration: underline;">{{ clase }}</h1>

        <table border="1" cellpadding="5" cellspacing="0" v-if="mostrar">
            <tr style="font-weight: bold;">
                <td>Nombre:</td>
                <td>Apellido:</td>
                <td>Grupo:</td>
                <td>Notas:</td>
                <td v-if="mediasCalculadas">Media:</td>
            </tr>
            <tr v-for="(alumno, index) in alumnos" :key="index">
                <td>{{alumno.Nombre}}</td>
                <td>{{alumno.Apellido}}</td>
                <td>{{alumno.Grupo}}</td>
                <td>{{alumno.Notas.join(', ') }}</td>
                <td v-if="mediasCalculadas">{{alumno.Media}}</td>
            </tr>
        </table>
        <div v-else="mostrar">No hay datos que mostrar</div>

        <br>
        <button @click="calcularMedias" style="color: rgb(62, 63, 1); background-color:rgb(160, 253, 245); border-radius: 30px;">Calcular la Media</button>
       
    </div>
    <script src="https://unpkg.com/vue@next"></script>;
 
    <script>
        //Creamos una aplicación VUE.
        const app = Vue.createApp({
            data() {
                return {
                    mostrar: true,
                    mediasCalculadas: false,
                    mensaje: 'Tabla con la info de los alumnos del ITB',
                    clase: 'Información Alumnos',
                   
                    alumnos:[
                       {Nombre:'Juan', Apellido: "Hernandez", Grupo: 'ASIX', Notas: [2,3,6,7,8], Media: ""},
                       {Nombre:'Pedro', Apellido: "Martinez", Grupo: 'DAM', Notas: [8,4,6,5,9], Media: ""},
                       {Nombre:'Alejandra', Apellido: "Fernandez", Grupo: 'DAW', Notas: [2,3,6,7,8], Media: ""},
                    ]
                }
            },
            methods: {
                calcularMedias() {
                    this.alumnos.forEach(alumno => {
                        const suma = alumno.Notas.reduce((total, nota) => total + nota, 0);
                        alumno.Media = (suma / alumno.Notas.length).toFixed(2);
                    });
                    this.mediasCalculadas = true;
                }
            }
        })
        app.mount('#app')
    </script>
</body>
</html>